XAPIAN-QUEST(1)

NAME
xapian-quest - Xapian command line search tool

SYNOPSIS
xapian-quest [OPTIONS] 'QUERY'

DESCRIPTION
xapian-quest - Xapian command line search tool

NB: QUERY should be quoted to protect it from the shell.

OPTIONS

-d, --db=DIRECTORY
    database to search (multiple databases may be specified)

-m, --msize=MSIZE
    maximum number of matches to return

-c, --check-at-least=HOWMANY
    minimum number of matches to check

-s, --stemmer=LANG
    set the stemming language, the default is 'english' (pass 'none' to disable stemming). Valid stemmers: arabic, armenian, basque, catalan, danish, dutch, dutch_porter, earlyenglish, english, esperanto, estonian, finnish, french, german, greek, hindi, hungarian, indonesian, irish, italian, lithuanian, lovins, nepali, norwegian, polish, porter, portuguese, romanian, russian, serbian, spanish, swedish, tamil, turkish, yiddish

-S, --stem-strategy=STRATEGY
    set the stemming strategy (default: some). Valid strategies: all, all_z, none, some, some_full_pos

-p, --prefix=PFX:TERMPFX
    add a prefix

-b, --boolean-prefix=PFX:TERMPFX
    add a boolean prefix

-f, --flags=FLAG1[,FLAG2]...
    specify QueryParser flags (default: default). Valid flags: accumulate, auto_multiword_synonyms, auto_synonyms, boolean, boolean_any_case, cjk_ngram, default, fuzzy, lovehate, ngrams, no_positions, no_proper_noun_heuristic, partial, phrase, pure_not, spelling_correction, synonym, wildcard, wildcard_glob, wildcard_multi, wildcard_single, word_breaks

-o, --default-op=OP
    specify QueryParser default operator (default: or). Valid operators: and, elite_set, max, near, or, phrase, synonym

-w, --weight=SCHEME
    specify weighting scheme to use, which can include parameters, e.g. --weight='bm25 1 0 0 1 0' (default: bm25).

-F, --freqs
    show query term frequencies

-h, --help
    display this help and exit

-v, --version
    output version information and exit